Cyberduck Mountain Duck CLI

#7759 closed defect (fixed)

Stop button to interrupt transfer does not work

Reported by: faromax Owned by: me
Priority: normal Milestone: 4.7
Component: core Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description

During a download you can't stop it. By the way check after fixing this if resume works ;-)

Attachments (1)

Screen Shot 2015-04-24 at 01.45.18.png (223.6 KB) - added by spooler on Apr 24, 2015 at 4:53:24 AM.
Scenario where stop button doesn't work

Download all attachments as: .zip

Change History (13)

comment:1 Changed on Jan 24, 2014 at 10:30:58 AM by dkocher

  • Component changed from interface to core
  • Priority changed from high to normal
  • Severity changed from major to normal
  • Summary changed from STOP button don't work to Stop button to interrupt transfer does not work

Which protocol are you using?

comment:2 Changed on Jan 28, 2014 at 8:27:37 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:3 Changed on Apr 5, 2015 at 6:25:29 PM by spooler

  • Resolution worksforme deleted
  • Status changed from closed to reopened

This ticket should not have been closed. The "stop" button does not always work. In my case, when I'm downloading two or more large files (+ 10GB), I have no way to stop transfers except closing the application. This does not always happen, but I am unable to identify the exact conditions to occur. OS: OS-X 10.10.2 Protocol: SFTP

comment:4 Changed on Apr 8, 2015 at 7:24:26 AM by dkocher

  • Component changed from core to sftp

comment:5 Changed on Apr 8, 2015 at 7:24:36 AM by dkocher

  • Milestone changed from 4.4.4 to 4.7

comment:6 Changed on Apr 8, 2015 at 12:56:20 PM by dkocher

  • Component changed from sftp to core
  • Resolution set to fixed
  • Status changed from reopened to closed

In r17271.

Changed on Apr 24, 2015 at 4:53:24 AM by spooler

Scenario where stop button doesn't work

comment:7 follow-ups: Changed on Apr 24, 2015 at 4:55:26 AM by spooler

  • Resolution fixed deleted
  • Status changed from closed to reopened

Still doesn't work. I attached a screenshot where stop button doesn't work.

comment:8 in reply to: ↑ 7 Changed on Apr 24, 2015 at 8:40:21 AM by dkocher

Replying to spooler:

Still doesn't work. I attached a screenshot where stop button doesn't work.

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:9 in reply to: ↑ 7 ; follow-up: Changed on Apr 24, 2015 at 8:40:50 AM by dkocher

Replying to spooler:

Still doesn't work. I attached a screenshot where stop button doesn't work.

Does the transfer eventually stop if you wait long enough or does it complete?

comment:10 in reply to: ↑ 9 Changed on Apr 24, 2015 at 11:07:03 AM by spooler

Replying to dkocher:

Replying to spooler:

Still doesn't work. I attached a screenshot where stop button doesn't work.

Does the transfer eventually stop if you wait long enough or does it complete?

Yes. I used to quit the app, but this time I tried to wait and after a few minutes it finally stopped.

comment:11 Changed on Apr 24, 2015 at 11:07:17 AM by dkocher

  • Milestone 4.7 deleted

comment:12 Changed on Apr 24, 2015 at 11:12:24 AM by dkocher

  • Milestone set to 4.7
  • Resolution set to fixed
  • Status changed from reopened to closed

There might be a delay that is too long when we have increased the buffer sizes too much with a too low I/O throughput. We will work on this in a different enhancement ticket.

Note: See TracTickets for help on using tickets.
swiss made software